# $Revision: 1.26 $, $Date: 2008/12/29 10:18:42 $ 
Summary:	GTK+2 based notepad clone
Summary(pl.UTF-8):	Klon notepada oparty na GTK+
Name:		leafpad
Version:	0.8.16
Release:	1
License:	GPL
Group:		X11/Applications/Editors
Source0:	http://savannah.nongnu.org/download/leafpad/%{name}-%{version}.tar.gz
# Source0-md5:	65c17a9ed866b059856b5513f5eaae17
URL:		http://tarot.freeshell.org/leafpad/
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Leafpad is a simple GTK+ based text editor. The user interface is
similar to "notepad", and it aims to be lighter than GEdit and KWrite
and to be as useful as them.

%description -l pl.UTF-8
Leafpad to prosty edytor tekstu oparty na GTK+. Program w założeniach
ma być lżejszy od GEdita i KWrite'a, ale tak samo użyteczny jak one.
Interfejs użytkownika jest podobny do programu "notepad".

%prep
%setup -q

%build
cp /usr/share/automake/config.sub .
%configure \
	--enable-chooser
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: leafpad.spec,v $
Revision 1.26  2008/12/29 10:18:42  duddits
- up to 0.8.16

Revision 1.25  2008/10/11 12:38:43  duddits
- desktop filename fixed

Revision 1.24  2008/10/11 12:29:58  duddits
- up to 0.8.15
- desktop.patch obsoleted
- icons added

Revision 1.23  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.21  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.20  2006/05/11 21:13:07  freetz
- 0.8.9

Revision 1.19  2006/01/04 14:51:21  freetz
- 0.8.6

Revision 1.18  2005/11/13 10:44:27  pawcioos
- updated to 0.8.5

Revision 1.17  2005/09/25 06:07:47  pawcioos
- updated to 0.8.4

Revision 1.16  2005/07/22 21:18:15  freetz
- 0.8.3

Revision 1.15  2005/07/03 09:07:52  freetz
- 0.8.2

Revision 1.14  2005/05/21 15:59:00  freetz
- 0.8.1

Revision 1.13  2005/05/03 21:02:17  freetz
 - 0.8.0

Revision 1.12  2005/02/05 01:06:58  czucz
- updated to 0.7.9

Revision 1.11  2004/12/08 10:57:50  paladine
- updated to 0.7.8
- dropped undo function fix patch (already in sources)
- STBR

Revision 1.10  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.9  2004/11/21 21:56:13  paladine
- use desktop file included in sources, added desktop patch
- run /usr/bin/update-desktop-database in %%post and %%postun
- rel 4

Revision 1.8  2004/11/21 20:05:21  freetz
- fixed undo function for the case start from '%' character (patch)
  rel.3, STBR

Revision 1.7  2004/11/19 16:42:10  freetz
- cp config.sub for amd64, rel.2, STBR

Revision 1.6  2004/11/19 13:25:24  freetz
- 0.7.7, STBR

Revision 1.5  2004/11/12 12:40:03  paladine
- updated to 0.7.6

Revision 1.4  2004/10/26 20:42:27  freetz
- 0.7.4

Revision 1.3  2004/10/07 10:19:27  qboosh
- pl fixes

Revision 1.2  2004/10/01 14:50:38  paladine
- updated to 0.7.2

Revision 1.1  2004/09/24 15:29:01  paladine
- PLD initial release
